module Paths_base (
	version,
	getBinDir, getLibDir, getDataDir, getLibexecDir,
	getDataFileName
	) where

import Data.Version

version = Version {versionBranch = [2,0], versionTags = []}

bindir     = "@CLIENT_BASEDIR@/bin"
libdir     = "@CLIENT_BASEDIR@/lib/hugs/packages/base"
datadir    = "@CLIENT_BASEDIR@/share/base-2.0"
libexecdir = "@CLIENT_BASEDIR@/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = return bindir
getLibDir = return libdir
getDataDir = return datadir
getLibexecDir = return libexecdir

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = return (datadir ++ "/" ++ name)
