module Paths_hsc2hs (
	version,
	getBinDir, getLibDir, getDataDir, getLibexecDir,
	getDataFileName
	) where

import Data.Version

version = Version {versionBranch = [0,67], versionTags = []}

bindir     = "@CLIENT_BASEDIR@/bin"
libdir     = "@CLIENT_BASEDIR@/lib/hugs/packages/hsc2hs"
datadir    = "@CLIENT_BASEDIR@/share/hsc2hs-0.67"
libexecdir = "@CLIENT_BASEDIR@/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = return bindir
getLibDir = return libdir
getDataDir = return datadir
getLibexecDir = return libexecdir

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = return (datadir ++ "/" ++ name)
